Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.constructor
Class SafeConstructor

    java.lang.Object
      org.yaml.snakeyaml.constructor.BaseConstructor
          org.yaml.snakeyaml.constructor.SafeConstructor

Direct Known Subclasses:
  Constructor

    public class SafeConstructor

extends BaseConstructor

Construct standard Java classes

Nested Class Summary
`static class` | `SafeConstructor.ConstructUndefined`
`class` | `SafeConstructor.ConstructYamlBinary`
`class` | `SafeConstructor.ConstructYamlBool`
`class` | `SafeConstructor.ConstructYamlFloat`
`class` | `SafeConstructor.ConstructYamlInt`
`class` | `SafeConstructor.ConstructYamlMap`
`class` | `SafeConstructor.ConstructYamlNull`
`class` | `SafeConstructor.ConstructYamlOmap`
`class` | `SafeConstructor.ConstructYamlPairs`
`class` | `SafeConstructor.ConstructYamlSeq`
`class` | `SafeConstructor.ConstructYamlSet`
`class` | `SafeConstructor.ConstructYamlStr`
`class` | `SafeConstructor.ConstructYamlTimestamp`

Field Summary
`static SafeConstructor.ConstructUndefined` | `undefinedConstructor`

Fields inherited from class org.yaml.snakeyaml.constructor.BaseConstructor
`rootTag, yamlClassConstructors, yamlConstructors, yamlMultiConstructors`

Constructor Summary
`SafeConstructor()`

Method Summary
`protected void` | `constructMapping2ndStep(MappingNode node, Map<Object,Object> mapping)`
`protected void` | `constructSet2ndStep(MappingNode node, Set<Object> set)`
`protected void` | `flattenMapping(MappingNode node)`

Methods inherited from class org.yaml.snakeyaml.constructor.BaseConstructor
`checkData, constructArray, constructArrayStep2, constructMapping, constructObject, constructScalar, constructSequence, constructSequenceStep2, constructSet, constructSet, createArray, createDefaultList, createDefaultMap, createDefaultSet, createDefaultSet, getConstructor, getData, getPropertyUtils, getSingleData, isExplicitPropertyUtils, setComposer, setPropertyUtils`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### undefinedConstructor

    public static SafeConstructor.ConstructUndefined undefinedConstructor

Constructor Detail

### SafeConstructor

    public SafeConstructor()

Method Detail

### flattenMapping

    protected void flattenMapping(MappingNode node)

### constructMapping2ndStep

    protected void constructMapping2ndStep(MappingNode node,
                                           Map<Object,Object> mapping)

  Overrides:
    `constructMapping2ndStep` in class `BaseConstructor`

### constructSet2ndStep

    protected void constructSet2ndStep(MappingNode node,
                                       Set<Object> set)

  Overrides:
    `constructSet2ndStep` in class `BaseConstructor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.